Debian Bug report logs - #458508
Please allow using a script to regenerate an orig tarball

version graph

Package: svn-buildpackage; Maintainer for svn-buildpackage is svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>; Source for svn-buildpackage is src:svn-buildpackage.

Reported by: "Andres Mejia" <mcitadel@gmail.com>

Date: Tue, 1 Jan 2008 10:18:01 UTC

Severity: wishlist

Tags: moreinfo

Found in version svn-buildpackage/0.6.23

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: submit@bugs.debian.org
Subject: Please allow using a script to download an orig tarball
Date: Tue, 1 Jan 2008 05:15:31 -0500
[Message part 1 (text/plain, inline)]
Package: svn-buildpackage
Version: 0.6.23
Tags: patch

It would be useful if svn-buildpackage would allow the use of an
external script to handle downloading/generating an orig tarball. I
think it would benefit people who maintain packages with very large
orig tarballs from the requirement of having to upload the orig
tarball to some external site, especially people with slow upload
connections. There's also the added bonus of writing checks for
MD5/SHA-* checksums directly in the script, the ability to check
multiple mirrors, downloads from svn, and probably some other benefits
that I can't think of yet.

The patch introduces another property (svn-bp:debOrigScript) and works
similar to svn-bp:origUrl. Set the property under the top level
directory of the package. For example:
'svn propset svn-bp:debOrigScript "debian/generate-tarball-script" debian'
It can be any type of script, and this assumes the script generates
the tarball in the current working directory. It will change to
whatever directory is set for origDir first and then run the script.
It will expect an exit status of 0 from the script.

Another change I introduced in this patch is for handling downloading
from origUrl. It will expect an exit status of 0 for wget as well.
It's not related to this bug but I thought svn-buildpackage would
improve with this as well.

-- 
Regards,
Andres Mejia
[debOrigScript.patch (text/x-diff, attachment)]

Severity set to `wishlist' from `normal' Request was from "Andres Mejia" <mcitadel@gmail.com> to control@bugs.debian.org. (Tue, 01 Jan 2008 10:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #12 received at 458508@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: 458508@bugs.debian.org
Subject: Revised patch for bug #458508
Date: Tue, 1 Jan 2008 16:33:13 -0500
[Message part 1 (text/plain, inline)]
Here's a revised patch for using a debOrigScript property to acquire
an orig tarball. This adds an option to force the use of downloading a
tarball using origUrl. I think this is useful when a package does get
accepted into Debian and there's no longer a need to generate the
tarball.
[revised_debOrigScript.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #17 received at 458508@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: 458508@bugs.debian.org
Subject: svn-buildpackage: Revised patch for bug #458508 (allow using options)
Date: Wed, 2 Jan 2008 03:41:08 -0500
[Message part 1 (text/plain, inline)]
Here's yet another patch that would allow the use of options for use
with debOrigScript. It introduces another property,
"debOrigScriptOptions". You would set this property in a similar way
as setting debOrigScript. This time you would enclose the options
within parantheses and seperate each option using whitespace. For
example:

'svn propset svn-bp:debOrigScriptOptions "(a b c ...)" debian'
[revised_debOrigScript.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #22 received at 458508@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: 458508@bugs.debian.org
Subject: svn-buildpackage: bug #458508 patch for documentation
Date: Wed, 2 Jan 2008 04:00:00 -0500
[Message part 1 (text/plain, inline)]
Here's a patch that will include appropriate documentation for these
new features.
[svn-buildpackage.sgml.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #27 received at 458508@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: 458508@bugs.debian.org
Subject: svn-buildpackage: please support the use of external scripts for svn-buildpackage
Date: Fri, 4 Jan 2008 17:15:39 -0500
[Message part 1 (text/plain, inline)]
Here's another patch that allows the use of an svn property
'svn-bp:useOrigUrl' that works the same as the '--svn-use-origurl'
option. This patch also adds an '--svn-reconfigure' option to
reconfigure the deb-layout, useful in case options keep changing.

-- 
Regards,
Andres Mejia
[script_support.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #32 received at 458508@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: 458508@bugs.debian.org
Subject: svn-buildpackage: Revised patch for bug #458508
Date: Sat, 5 Jan 2008 02:09:36 -0500
[Message part 1 (text/plain, inline)]
Here's another patch. Fixed an issue with using POSIX. Also fixed a
minor problem in the manpages.
[script-support.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Eddy Petrișor" <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #37 received at 458508@bugs.debian.org (full text, mbox):

From: "Eddy Petrișor" <eddy.petrisor@gmail.com>
To: "Andres Mejia" <mcitadel@gmail.com>, 458508@bugs.debian.org
Subject: Re: Bug#458508: svn-buildpackage: please support the use of external scripts for svn-buildpackage
Date: Tue, 8 Jan 2008 21:41:46 +0200
First, sorry for the long time it took for me to answer. I was on a
medical leave and I had limited access to internet during the winter
holidays.

Second, thanks for your work. I really appreciate it.

On 05/01/2008, Andres Mejia <mcitadel@gmail.com> wrote:
> Here's another patch that allows the use of an svn property
> 'svn-bp:useOrigUrl' that works the same as the '--svn-use-origurl'
> option. This patch also adds an '--svn-reconfigure' option to
> reconfigure the deb-layout, useful in case options keep changing.

.svn/deb-layout is a local override and since 0.6.22 it is no longer
created by svn-buildpackage. I think is futile to create code update a
file that is mere local override. Of course, arguments in favour of
your proposal might make me changemy mind.

About the other changes, I think that the idea of fetching the orig
tarball via a script should be designed as a "I want to update to the
newest version" scenario. In other words, I think this should a
manually commanded fetch so that the maintainer explicitly does the
upgrade and, when it does so it should rely on the get-orig-source
rule specified by the debian policy.

Also, it might, indeed make sense to try to fetch the tarball from an
upstream location, but the way that is done should rely on the watch
file and/or the get-orig-source rule. I see no point in going around
the policy and create some external scripts for this purpose.


In any case, I will soon look closer at your changes and tell you my
opinion, but I have a feeling you over-complicate the problem. I would
rather make svn-inject smarter or expand on the meaning of the
svn-bp:origUrl property and how is handled rather than adding a new
mechanism.


In any case, thanks for the support. Maybe you'll like to tackle one
of the points in the todo[1] file meanwhile (may I suggest the last
one?).


[1] http://svn.debian.org/wsvn/collab-maint/deb-maint/svn-buildpackage/trunk/debian/TODO?op=file&rev=0&sc=0
-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein




Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #42 received at 458508@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: "Eddy Petrișor" <eddy.petrisor@gmail.com>, 458508@bugs.debian.org
Subject: Re: Bug#458508: svn-buildpackage: please support the use of external scripts for svn-buildpackage
Date: Tue, 8 Jan 2008 15:26:28 -0500
On Jan 8, 2008 2:41 PM, Eddy Petrișor <eddy.petrisor@gmail.com> wrote:
> First, sorry for the long time it took for me to answer. I was on a
> medical leave and I had limited access to internet during the winter
> holidays.
>
> Second, thanks for your work. I really appreciate it.
>
> On 05/01/2008, Andres Mejia <mcitadel@gmail.com> wrote:
> > Here's another patch that allows the use of an svn property
> > 'svn-bp:useOrigUrl' that works the same as the '--svn-use-origurl'
> > option. This patch also adds an '--svn-reconfigure' option to
> > reconfigure the deb-layout, useful in case options keep changing.
>
> .svn/deb-layout is a local override and since 0.6.22 it is no longer
> created by svn-buildpackage. I think is futile to create code update a
> file that is mere local override. Of course, arguments in favour of
> your proposal might make me changemy mind.

I was under the impression that it did create it still. I've been
using 0.6.23 of the svn-buildpackage and I don't have the svn-savecfg
enabled. I would delete the layout file but then svn-buildpackage
would always recreate it. Not having to use the layout file would be
nice though.

> About the other changes, I think that the idea of fetching the orig
> tarball via a script should be designed as a "I want to update to the
> newest version" scenario. In other words, I think this should a
> manually commanded fetch so that the maintainer explicitly does the
> upgrade and, when it does so it should rely on the get-orig-source
> rule specified by the debian policy.

My idea was to keep the commands to generate an orig tarball out of
debian/rules and onto a seperate script, file. I have reasons for
wanting to use an external script, like when the script is especially
complicated. Take a look at
http://svn.debian.org/wsvn/pkg-games/packages/trunk/warsow/debian/warsow-get-orig-source?op=file&rev=0&sc=0

> Also, it might, indeed make sense to try to fetch the tarball from an
> upstream location, but the way that is done should rely on the watch
> file and/or the get-orig-source rule. I see no point in going around
> the policy and create some external scripts for this purpose.

uscan has it's own limitations I think. See
http://bugs.debian.org/458789 . The get-orig-source rule is optional
anyway, according to policy. However, I'm sure it can be possible to
use it just as much the same way as with the debOrigScript option. It
should be possible to specify "debian/rules" for "debOrigScript" and
"get-orig-source" for "debOrigScriptOptions". As long as the
get-orig-source rule is written to comply with policy, it should work
without a problem. I haven't personally tested this however.

> In any case, I will soon look closer at your changes and tell you my
> opinion, but I have a feeling you over-complicate the problem. I would
> rather make svn-inject smarter or expand on the meaning of the
> svn-bp:origUrl property and how is handled rather than adding a new
> mechanism.
>
>
> In any case, thanks for the support. Maybe you'll like to tackle one
> of the points in the todo[1] file meanwhile (may I suggest the last
> one?).
>
>
> [1] http://svn.debian.org/wsvn/collab-maint/deb-maint/svn-buildpackage/trunk/debian/TODO?op=file&rev=0&sc=0
> --
> Regards,
> EddyP
> =============================================
> "Imagination is more important than knowledge" A.Einstein
>

Ok, I'll give it a try when I have time.

-- 
Regards,
Andres Mejia

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Eddy Petrișor" <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #47 received at 458508@bugs.debian.org (full text, mbox):

From: "Eddy Petrișor" <eddy.petrisor@gmail.com>
To: "Andres Mejia" <mcitadel@gmail.com>
Cc: 458508@bugs.debian.org
Subject: Re: Bug#458508: svn-buildpackage: please support the use of external scripts for svn-buildpackage
Date: Tue, 8 Jan 2008 22:49:38 +0200
On 08/01/2008, Andres Mejia <mcitadel@gmail.com> wrote:
> > .svn/deb-layout is a local override and since 0.6.22 it is no longer
> > created by svn-buildpackage. I think is futile to create code update a
> > file that is mere local override. Of course, arguments in favour of
> > your proposal might make me changemy mind.
>
> I was under the impression that it did create it still. I've been
> using 0.6.23 of the svn-buildpackage and I don't have the svn-savecfg
> enabled. I would delete the layout file but then svn-buildpackage
> would always recreate it. Not having to use the layout file would be
> nice though.

If svn-buildpackage (>=0.6.22) recreates the file is a bug. The fact
that svn-bp is smart enough to detect most of the info in it is
another issue (but the file is not created).

If you get this behaviour, then maybe you should reinstall
svn-buildpackage (maybe you got an intermediate unreleased version).

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein




Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #52 received at 458508@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: "Eddy Petrișor" <eddy.petrisor@gmail.com>
Cc: 458508@bugs.debian.org
Subject: Re: Bug#458508: svn-buildpackage: please support the use of external scripts for svn-buildpackage
Date: Tue, 8 Jan 2008 20:36:57 -0500
On Jan 8, 2008 3:49 PM, Eddy Petrișor <eddy.petrisor@gmail.com> wrote:
> If svn-buildpackage (>=0.6.22) recreates the file is a bug. The fact
> that svn-bp is smart enough to detect most of the info in it is
> another issue (but the file is not created).
>
> If you get this behaviour, then maybe you should reinstall
> svn-buildpackage (maybe you got an intermediate unreleased version).

Ok, I rebuilt the package from the released version 0.6.23 with my
patch applied. It's fixed, so the svn-reconfigure stuff won't be
needed.

Also, I did a quick test of my svn-buildpackage build using
"debian/rules" as the debOrigScript and "get-orig-source" as the
debOrigScriptOptions. The test was to print the working directory
(@pwd). It did what it was suppose to.

-- 
Regards,
Andres Mejia

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Andres Mejia" <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #57 received at 458508@bugs.debian.org (full text, mbox):

From: "Andres Mejia" <mcitadel@gmail.com>
To: 458508@bugs.debian.org
Cc: "Eddy Petrișor" <eddy.petrisor@gmail.com>
Subject: svn-buildpackage: Please allow using a script to download an orig tarball
Date: Tue, 8 Jan 2008 22:09:43 -0500
[Message part 1 (text/plain, inline)]
I'm attaching another patch that leaves out the svn-reconfigure stuff,
since it's not needed. Also, this patch places some helpful comments
in the svn-buildpackage script itself. I didn't know where else to put
them, the manpage seemed inappropriate.

-- 
Regards,
Andres Mejia
[script_support.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Eddy Petrișor" <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #62 received at 458508@bugs.debian.org (full text, mbox):

From: "Eddy Petrișor" <eddy.petrisor@gmail.com>
To: "Andres Mejia" <mcitadel@gmail.com>
Cc: debian-devel-games@lists.debian.org, 458508@bugs.debian.org, "Debian Bug Tracking System" <control@bugs.debian.org>
Subject: Re: Using a script to regenerate orig tarball
Date: Mon, 17 Mar 2008 19:09:19 +0200
Package: svn-buildpackage
retitle 458508 Please allow using a script to regenerate an orig tarball
thanks

Hello,


First, I'll reiterate some of the things that need to be said:
- debian/rules can contain a get-orig-source target (that target can
wrap a shell script)
- the debian/rules get-orig-source is meant to get a newer upstream
source, while you're proposing something like a "rebuild orig-source"
target


Taking those into account, I'll refer to this script as the
rebuild-orig script/target.

On 02/01/2008, Andres Mejia <mcitadel@gmail.com> wrote:
> Alright, I've submitted two more patches, one to allow the use of
>  options, and one that updates the documentation. Again, feel free to
>  improve/criticize the patches at will. http://bugs.debian.org/458508

   --svn-override a=b   Override some config variable (comma separated list)
+  --svn-use-origurl    Download tarball using origUrl instead of debOrigScript
   --svn-verbose        More verbose program output

There shouldn't be any need to have such an option unless you mean it
like "although svn-bp could find the origUrl referenced, I know it
would be slower than doing what the rebuild-orig target does".

Otherwise, I see the default behaviour should something like: if that
orig targball is missing or the property is not synced with the
changelog file[1] , then the script should be called as a way to get
the missing orig.


[1] which is hard, since the origUrl property could legally link to an
unversioned tarball, or even the upstream one which uses a different
version scheme than a versioning scheme that uses ordered releases -
e.g. upstream uses dates for versions, but in the LSB-first way -
17-03-2008 instead of 2008-03-17
-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein




Changed Bug title to `Please allow using a script to regenerate an orig tarball' from `Please allow using a script to download an orig tarball'. Request was from "Eddy Petrișor" <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Mon, 17 Mar 2008 17:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#458508; Package svn-buildpackage. (Fri, 15 May 2009 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. (Fri, 15 May 2009 16:27:02 GMT) Full text and rfc822 format available.

Message #69 received at 458508@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 458508@bugs.debian.org
Cc: 458508-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Not a good idea
Date: Fri, 15 May 2009 17:25:23 +0100
[Message part 1 (text/plain, inline)]
tag 458508 - patch
tag 458508 + moreinfo
thanks

I'm taking over maintenance of svn-buildpackage and reviewing the
outstanding bugs.

AFAICT, there is no reason to implement the requested behaviour and the
patch is not necessary.

If you believe there is still an issue, please reply. I intend to close
this bug after the next upload of svn-bp (0.6.24) in about a week.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Tags removed: patch Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 15 May 2009 16:27:03 GMT) Full text and rfc822 format available.

Tags added: moreinfo Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 15 May 2009 16:27:04 GMT) Full text and rfc822 format available.

Message sent on to "Andres Mejia" <mcitadel@gmail.com>:
Bug#458508. (Fri, 15 May 2009 16:27:05 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Wed, 31 Mar 2010 20:51:13 GMT) Full text and rfc822 format available.

Notification sent to "Andres Mejia" <mcitadel@gmail.com>:
Bug acknowledged by developer. (Wed, 31 Mar 2010 20:51:13 GMT) Full text and rfc822 format available.

Message #81 received at 458508-done@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 458508-done@bugs.debian.org
Subject: closing due to no response
Date: Wed, 31 Mar 2010 21:42:54 +0100
[Message part 1 (text/plain, inline)]
OK, it took longer than a week but I did say I'd close this bug if
there was no response. That was almost a year ago, so closing it now.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Apr 2010 07:30:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:16:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.